GET /volumes
googleapis.com:google-books-api
Summary: Search volumes
Operation ID: searchVolumes
Auth: api_key
Operation ID: searchVolumes
Auth: api_key
Description
Search for books by keyword, author, title, ISBN, etc. Returns a list of volume results.
Parameters (8)
filter
(string, query, optional)
Filter by availability: partial, full, free-ebooks, paid-ebooks, ebooks
langRestrict
(string, query, optional)
Restrict results to specified language code (e.g., 'en', 'fr')
maxResults
(integer, query, optional, default: 10)
Maximum number of results to return (0-40)
Constraints: {'maximum': 40}
orderBy
(string, query, optional)
Sort order: relevance or newest
Constraints: {'enum': ['relevance', 'newest']}
printType
(string, query, optional)
Filter by print type: all, books, or magazines
Constraints: {'enum': ['all', 'books', 'magazines']}
projection
(string, query, optional)
Projection: full or lite
Constraints: {'enum': ['full', 'lite']}
q
(string, query, required)
Search query. Can include intitle:, inauthor:, inpublisher:, subject:, isbn:, lccn:, oclc: prefixes
startIndex
(integer, query, optional, default: 0)
Index of the first result to return (0-based)
No probe data for this endpoint yet.